Subject: [bug#68908] [PATCH] Add BINSEC.

From: Julien Lepiller <[email-masked]>
Date: Sat, 3 Feb 2024 22:52:08 +0100

Le Sat,  3 Feb 2024 16:03:19 +0100,
[email-masked] a écrit :

> From: Sören Tempel <[email-masked]>
> 
> This patchset adds a package for BINSEC <https://binsec.github.io/>.
> BINSEC is a popular tool for binary program analysis using symbolic
> execution.  Symbolic execution is a technique for automated software
> testing and an active area of computer science research.  This package
> for BINSEC is part of and ongoing effort to package symbolic execution
> tools in Guix, thereby easing the creation of computational
> environments for reproducible research in the symbolic execution
> domain.
> 
> BINSEC requires 9 new OCaml packages, most of them originate in Dune.

Thanks for the patch series! I have another series I need to push first
(which I should be able to do after FOSDEM):
https://issues.guix.gnu.org/64249. I recognise the dune packages from
this other patch series here. We'll drop them, sorry you had to do this
work for nothing.

I can't take a look right now, but I'm super excited to get binsec in
Guix!

> Sören Tempel (10):
>   gnu: Add ocaml-iso8601
>   gnu: Add ocaml-toml.
>   gnu: Add ocaml-pp.
>   gnu: Add ocaml-grain-dypgen.
>   gnu: Add ocaml-ordering.
>   gnu: Add ocaml-dyn.
>   gnu: Add ocaml-stdune.
>   gnu: Add ocaml-dune-private-libs.
>   gnu: Add ocaml-dune-site.
>   gnu: Add binsec.
> 
>  gnu/packages/ocaml.scm | 213
> +++++++++++++++++++++++++++++++++++++++++ 1 file changed, 213
> insertions(+)
> 
> 
> base-commit: 179bb57d2532ee6b81791e078b0f782cbf88cb84
> 
>